package io.gmss.fiscad.interfaces.infocad.parametre;

import io.gmss.fiscad.entities.infocad.parametre.Profession;
import io.gmss.fiscad.exceptions.BadRequestException;
import io.gmss.fiscad.exceptions.NotFoundException;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Optional;

public interface ProfessionService {

    Profession createProfession(Profession profession) throws BadRequestException;

    Profession updateProfession(Long id, Profession profession) throws NotFoundException;

    void deleteProfession(Long id) throws NotFoundException;

    Page<Profession> getProfessionList(Pageable pageable);

    List<Profession> getProfessionList();

    Optional<Profession> getProfessionById(Long id);
}
